curl --request POST \
--url https://api.prets.app/v1/quotes/{quoteId}/cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "general",
"message": {
"body": "The customer asked to move the appointment to next week.",
"messageId": "csmsg_01K3P7YQ35N9VZC6SD1WYPEJG2"
},
"caseId": "cas_01K3P7YQ2WM8TZB5RC0VXNDHF4",
"subject": "Customer wants a later install date"
}
'import requests
url = "https://api.prets.app/v1/quotes/{quoteId}/cases"
payload = {
"type": "general",
"message": {
"body": "The customer asked to move the appointment to next week.",
"messageId": "csmsg_01K3P7YQ35N9VZC6SD1WYPEJG2"
},
"caseId": "cas_01K3P7YQ2WM8TZB5RC0VXNDHF4",
"subject": "Customer wants a later install date"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'general',
message: {
body: JSON.stringify('The customer asked to move the appointment to next week.'),
messageId: 'csmsg_01K3P7YQ35N9VZC6SD1WYPEJG2'
},
caseId: 'cas_01K3P7YQ2WM8TZB5RC0VXNDHF4',
subject: 'Customer wants a later install date'
})
};
fetch('https://api.prets.app/v1/quotes/{quoteId}/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"caseId": "cas_01ARZ3NDEKTSV4RRFFQ69G5AV",
"quote": {
"quoteId": "qot_01ARZ3NDEKTSV4RRFFQ69G5AV"
},
"type": "merchant_feedback",
"subject": "Customer wants a later install date",
"stage": "Prets Action",
"createdAt": "2026-08-14T09:12:04.000Z",
"updatedAt": "2026-08-16T11:03:22.000Z",
"state": "open",
"waitingOn": "prets",
"waitingSince": "2026-08-14T09:12:04.000Z",
"requestType": "Reschedule Meeting",
"description": "The customer asked to move the appointment.",
"createdBy": "Jane Advisor"
}
}Create a case for a quote
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Quote ID
^qot_[0-9A-HJKMNP-TV-Z]{26}$"qot_01ARZ3NDEKTSV4RRFFQ69G5AV"
Body
- Option 1
- Option 2
Open a Case under a Quote. type is general or merchant_feedback; merchants cannot create prets_feedback. The opening message is required.
General-support Case with no request type
general "general"
Opening or reply message body. Optional client ULID for idempotent create.
Show child attributes
Show child attributes
Client-generated id (cas_{ULID}). When provided the server uses this as the canonical case ID, enabling optimistic UI.
^cas_[0-9A-HJKMNP-TV-Z]{26}$"cas_01K3P7YQ2WM8TZB5RC0VXNDHF4"
Case subject (max 255 characters). When omitted, derived from the first line of the opening message.
1 - 255"Customer wants a later install date"
Response
Case created successfully
Created support case
Quote support Case. Conversation lives on /messages; this resource is metadata and lifecycle only.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?